import request from '@/utils/request'

// 查询列表教育任务
export function listEduTask(query) {
  return request({
    url: '/core/eduTask/list',
    method: 'get',
    params: query
  })
}

// 查询详细教育任务
export function getEduTask(id) {
  return request({
    url: '/core/eduTask/' + id,
    method: 'get'
  })
}

// 新增教育任务
export function addEduTask(data) {
  return request({
    url: '/core/eduTask',
    method: 'post',
    data: data
  })
}

// 修改教育任务
export function recordEduTask(data) {
  return request({
    url: '/core/eduTask',
    method: 'put',
    data: data
  })
}

// 删除教育任务
export function delEduTask(id) {
  return request({
    url: '/core/eduTask/' + id,
    method: 'delete'
  })
}

// 查询详细教育任务
// export function recordEduTask(id) {
//   return request({
//     url: '/core/eduTask/' + id,
//     method: 'get'
//   })
// }
